## gmotionlive 1.0

=== Makefile ===
CC = gcc
CFLAGS = -DG_DISABLE_DEPRECATED -DGDK_DISABLE_DEPRECATED -DGDK_PIXBUF_DISABLE_DEPRECATED -DGTK_DISABLE_DEPRECATED
CFLAGS += -Wall

all:	gmotionlive

gmotionlive: gmotionlive.c
	$(CC) gmotionlive.c -o gmotionlive $(CFLAGS) `pkg-config gtk+-2.0 --cflags --libs` `pkg-config gnome-vfs-2.0 --cflags --libs`

clean:
	rm -f *.o gmotionlive

=== debian/changelog ===
gmotionlive (1.0-3.1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:02:03 +0000

gmotionlive (1.0-3.1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:35:25 +0000

gmotionlive (1.0-3.1build1) jammy; urgency=medium

  * No-change rebuild against latest gdk-pixbuf

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Mar 2022 15:16:04 -0500

gmotionlive (1.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  
  [ Yavor Doganov ]
  * Add gio_port patch. Closes: #868425, #886079 

  [ Jeremy Bicha ]
  * Bump debhelper compat to 11

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 30 Oct 2018 20:46:33 -0400

gmotionlive (1.0-3) unstable; urgency=low

  * Added binary dependency in libgnomevfs2-extra (Closes: Ubuntu#573011)
  * Debian source format 3.0 quilt migration
  * Updated Standards-Version to 3.9.2, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 03 Jan 2012 20:57:07 -0300

gmotionlive (1.0-2) unstable; urgency=low

  * Added dpatch dependency.
  * Replaced Homepage pseudo-field with the proper one.
  * Added patch to fix some minor gcc sign warnings with
    debian/patches/001-unsign_sign_chars.dpatch
  * Added patch to fix a memory leakage with
    debian/patches/002-g_object_unref.dpatch
  * Updated Standards-Version to 3.8.0, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 15 Jul 2008 16:01:10 -0300

gmotionlive (1.0-1) unstable; urgency=low

  * Initial release (Closes: #429654)

 -- Maximiliano Curia <maxy@gnuservers.com.ar>  Mon, 18 Jun 2007 16:54:24 -0300

=== debian/control ===
Source: gmotionlive
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Maximiliano Curia <maxy@debian.org>
Build-Depends: debhelper (>= 11), libgtk2.0-dev, pkg-config
Homepage: http://gate.vitsch.net/~pe1rxq/gmotionlive/
Standards-Version: 3.9.2

Package: gmotionlive
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Simple multipart/x-mixed-replace viewer
 gmotionlive is a simple gtk viewer for streaming webcams that use
 multipart/x-mixed-replace streams.
 .
 It was written for viewing streams from the motion program but should be
 usable for other sources such as network cameras.

=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://gate.vitsch.net/~pe1rxq/gmotionlive/ gmotionlive-(.*)\.tar\.gz
